namespace C969Project;

public partial class DashboardForm : Form
{
    private CustomersForm _customersForm;
    private AppointmentsForm _appointmentsForm;
    
    public DashboardForm()
    {
        InitializeComponent();
        
        _customersForm = new CustomersForm();
        _appointmentsForm = new AppointmentsForm();
        
        CustomersButton.Click += (sender, args) =>
        {
            _customersForm.ShowDialog();
            _customersForm.UpdateCustomersList(null, EventArgs.Empty);
        };

        AppointmentsButton.Click += (sender, args) =>
        {
            _appointmentsForm.ShowDialog();
        };


    }
}